Get Quote By ID

You can use this endpoint to get information about a single quote by searching for the quoteId of that quote.

Get a list of quotes by specified criteria

get
Authorizations
api_keystringRequired
Query parameters
policyHolderNumberstringOptional

Used to filter by policy holder number reference

quoteIdstringOptional

Used to filter by a specific quote id

pageSizeinteger · int32Optional

Number of result to display

Default: 50
pageIndexinteger · int32Optional

Page index

Default: 0
Header parameters
api_keyanyRequired
Responses
chevron-right
200

successful operation

application/json
quoteIdstringRequired

unique identifier for a previously computed active quote

Example: 123456788
quoteExpiryDatestringRequired

Expiry date for the quote

Example: 2021-10-23
policyCodestringOptional

unique reference code of the insurance policy

Example: 1234567262
policyHolderNumberstringOptional

optional policy holder identier

Example: 123452829
statusstring · enumOptional

allowed data type for the field

Example: activePossible values:
amountnumberOptional

total quote amount

Example: 200
installmentstring · enumOptional

allowed data type for the field

Default: MONTHLYPossible values:
get
/policyHolder/quote

Sample Request

Sample Response

Last updated